// CREDITS:
// Moon Phase Clock
// by Urs Dudli and Peter Gehrig 
// Copyright (c) 2002 Peter Gehrig and Urs Dudli. All rights reserved.
// Permission given to use the script provided that this notice remains as is.
// Additional scripts can be found at http://www.24fun.com/fast/index.html
// info@24fun.com
// 6/25/2002

// IMPORTANT: 
// If you add this script to a script-library or a script-archive 
// you have to insert a link to http://www.24fun.com
// right into the webpage where the script will be displayed.

function calcMoonPhase()
{

var pastdate;
var pastyear=2002;
var pastmonth=5;
var pastday=11;
var nowdate;
var pausenormal=50;
var pausenowmoon=3000;
var moonday;
var i_mooncycle=1;
var mooncycle=29.530589;
var moonTitle = "";
pastdate=new Date(pastyear,pastmonth,pastday,0,0,0);
nowdate=new Date();
resultdays=(Date.parse(nowdate)-Date.parse(pastdate))/1000/60/60/24;
moonday=resultdays/mooncycle;
moonday=(resultdays/mooncycle)-(Math.floor(resultdays/mooncycle));
moonday=Math.round(mooncycle*moonday);
if (moonday > 29 || moonday < 1) moonday=1;

switch(moonday)
{
	case 1: case 29: moonTitle = "New Moon"; break;
	case 2: case 3: case 4: case 5: case 6: moonTitle = "Waxing Crescent"; break;
	case 7: moonTitle = "First Quarter"; break;
	case 8: case 9: case 10: case 11: case 12: case 13: moonTitle = "Waxing Gibbous"; break;
	case 14: moonTitle = "Full Moon"; break;
	case 15: case 16: case 17: case 18: case 19: case 20: case 21: case 22: moonTitle = "Wanning Gibbous"; break;
	case 22: moonTitle = "Last Quarter"; break;
	case 23: case 24: case 25: case 26: case 27: case 28: moonTitle = "Wanning Crescent"; break;
	default: var moonTitle = "";
}

document.getElementById("moonPhase").innerHTML = "<img height='35' width='35' src='moonitems/moon" + moonday + ".png'>";
document.getElementById("moonPhase").title = moonTitle;

}